package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.View;

import javax.swing.JLabel;
import javax.swing.JPanel;

import fr.iutfbleau.projetIHM2022FI2.API.Etudiant;

import javax.swing.JButton;
import java.awt.*;
import java.awt.event.ActionListener;


public class PanelEtudiant extends JPanel{

	// bouton suppression
	private JButton supprimer;
	// bouton déplacement
	private JButton deplacer;

		/**
		 * Constructeur du panel d'affichage d'un étudiant
		 * @param e l'étudiant à afficher
		 * @param change si l'étudiant peut être déplacé
		 */
    public PanelEtudiant(Etudiant e, boolean change){
        super(new GridLayout(1,2,20,10));
        JPanel bouton=new JPanel(new GridLayout(1,2));
        JLabel label=new JLabel("  "+e.getNom()+" "+e.getPrenom()+" "+e.getId(), JLabel.LEFT);
        this.supprimer=new JButton("supr");
        this.supprimer.setForeground(Color.RED);
        this.deplacer=new JButton("change");
        if(change==true){
            bouton.add(this.deplacer);
        }
        this.add(label);
        bouton.add(this.supprimer);
        this.add(bouton);
    }
		/**
		 * Ajoute un listener au bouton de suppression
		 * @param a le listener
		 */
    public void addActionDeleteListener(ActionListener a){
        this.supprimer.addActionListener(a);
    }

		/**
		 * Ajoute un listener au bouton de changement de groupe
		 * @param a le listener
		 */
    public void addActionChangeListener(ActionListener a){
        this.deplacer.addActionListener(a);
    }
}
